Web lists-archives.com

Re: [Samba] Now available, Ubuntu Bionic packages for Samba 4.10.2, 4.9.6 *(both amd64 only)




Hai Marcio, 

Yes, there is a link on the apt site ;-) 
Which states : 
Your upgrade will fail if your smb.conf is incorrect, here are a few tips, Upgrade-info.txt

This is what i have used for my debian servers. 
http://downloads.van-belle.nl/samba4/Upgrade-info.txt 
And its always good to read : 
https://wiki.samba.org/index.php/Updating_Samba 

Upgrade steps from office is basicly.
Before you upgrade, check you smb.conf and make sure 
its compliant to the samba version your going to install.
Then Add my repo. 
apt update && apt dist-upgrade

You need dist-upgrade because of same extra packages use with the newer samba versions.


Greetz, 

Louis


> -----Oorspronkelijk bericht-----
> Van: samba [mailto:samba-bounces@xxxxxxxxxxxxxxx] Namens 
> Marcio Vogel Merlone dos Santos via samba
> Verzonden: dinsdag 9 april 2019 18:27
> Aan: samba@xxxxxxxxxxxxxxx
> Onderwerp: Re: [Samba] Now available, Ubuntu Bionic packages 
> for Samba 4.10.2, 4.9.6 *(both amd64 only)
> 
> Hi,
> 
> Thanks a lot for your repo and work. Is there rtfm besides samba docs 
> pinpointing the cautions one should take when upgrading from 
> official repo?
> 
> Best regards,
> 
> 
> Em 09/04/2019 11:39, L.P.H. van Belle via samba escreveu:
> > Hai guys,
> >
> > I've updated the Ubuntu Bionic packages for Samba 4.10.2, 
> 4.9.6 *(both amd64 only).
> >
> > Repo info : https://apt.van-belle.nl
> > Build logs: http://downloads.van-belle.nl/samba4/Buildlogs/ubuntu/
> >
> > Quick repo setup:
> > Optional: apt-get install apt-transport-https
> >
> > Import my public key:
> > wget -O - 
> http://apt.van-belle.nl/louis-van-belle.gpg-key.asc | apt-key add -
> >
> > # Example repo bionic samba 4.9.x
> > echo "deb http://apt.van-belle.nl/debian bionic-samba49 
> main contrib non-free" | sudo tee 
> /etc/apt/sources.list.d/van-belle.list
> >
> > Repo names for Ubuntu Bionic:
> > bionic-samba49
> > bionic-samba410
> >
> > I've re-enabled spotlight in the 4.10.2 packages.
> >
> > And.. For the 4.9.6, i've corrected the VERSION ;-)
> > samba -V shows :
> > Version 4.9.6-Ubuntu
> > 4.10 was correct already.
> >
> > Have fun with them.
> >
> >
> > Greetz,
> >
> > Louis
> >
> >
> -- 
> *Marcio Merlone*
> TI - Administrador de redes
> 
> *A1 Engenharia - Unidade Corporativa*
> Fone: 	+55 41 3616-3797
> Cel: 	+55 41 99689-0036
> 
> https://a1.ind.br/ <https://a1.ind.br>
> -- 
> To unsubscribe from this list go to the following URL and read the
> instructions:  https://lists.samba.org/mailman/options/samba
> 
> 


-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba